
precision lowp float;
varying float v_iterations;

void main()
{
  vec3 v_color;

  const vec3 c1 = vec3(0.165, 0.244, 0.518); // Light blue.
  const vec3 c2 = vec3(1.0, 1.0, 1.0); // White.

  // Assuming max iteration count of 80.
  if (v_iterations > 79.5)
    v_color = vec3(0.0, 0.0, 0.0);
  else
    v_color = mix(c1, c2, v_iterations / 80.0);

  gl_FragColor = vec4(v_color, 1.0);
}
